# 使用 Docker 官方的 Python 3.12 镜像
FROM python:3.12

# 创建一个新用户 pythonuser
RUN adduser pythonuser

# 切换到 pythonuser 用户
USER pythonuser

# 设置工作目录
WORKDIR /docker

# 复制项目文件到工作目录，并设置文件所有者为 pythonuser
COPY --chown=pythonuser:pythonuser . /docker

# 复制 base.py 文件到指定位置
COPY ./base.py /usr/local/lib/python3.12/site-packages/django/db/backends/base/base.py

# 启动 Django 开发服务器
CMD ["python", "manage.py", "runserver", "0.0.0.0:8084"]